using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Data;
using System.Configuration;
using System.Web.Security;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;
using Telerik.Web.UI;
using System.Globalization;

using BE;
using BL;
using Utilitaria;



public partial class List_ProvisionFlujoCaja : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Session["Usuario"] == null)
        {
            Response.Redirect(Utilitaria.Cls_Enums.CerrarSesion.Salir);
        }
        if (!IsPostBack)
        {
            tk_FujoCaja.Width = Convert.ToInt32(Session["hidWidth"]) - 50;
            ViewState["HotelID"] =  Session["HotelID"];
            ViewState["EstablecimientoID"] = Session["EmpresaID"];
        }
    }

   

    private void listar_FujoCaja()
    {
        BEFlujoCaja objBEFlujoCaja = new BEFlujoCaja();
        BLFlujoCaja objBLFlujoCaja = new BLFlujoCaja();

        tk_FujoCaja.DataSource = objBLFlujoCaja.fnSelFlujoCajaDin("","NombreFlujoCaja");

        objBEFlujoCaja = null;
        objBLFlujoCaja = null;

    }
   
  
    protected void showMessage(string strMessage)
    {
        ScriptManager.RegisterStartupScript(this, this.GetType(), "myscript", "alert('" + strMessage + "');", true);
    }

    protected void RadAjaxManager1_AjaxRequest(object sender, AjaxRequestEventArgs e)
    {
        if (e.Argument == "Rebind")
        {
            tk_FujoCaja.MasterTableView.SortExpressions.Clear();
            tk_FujoCaja.MasterTableView.GroupByExpressions.Clear();
            tk_FujoCaja.Rebind();

            tk_Cuentas.MasterTableView.SortExpressions.Clear();
            tk_Cuentas.MasterTableView.GroupByExpressions.Clear();
            tk_Cuentas.Rebind();
        }
        else if (e.Argument == "RebindAndNavigate")
        {
            tk_FujoCaja.MasterTableView.SortExpressions.Clear();
            tk_FujoCaja.MasterTableView.GroupByExpressions.Clear();
            tk_FujoCaja.MasterTableView.CurrentPageIndex = tk_FujoCaja.MasterTableView.PageCount - 1;
            tk_FujoCaja.Rebind();

            tk_Cuentas.MasterTableView.SortExpressions.Clear();
            tk_Cuentas.MasterTableView.GroupByExpressions.Clear();
            tk_Cuentas.MasterTableView.CurrentPageIndex = tk_FujoCaja.MasterTableView.PageCount - 1;
            tk_Cuentas.Rebind();
        }
    }
    String CurrUrl;
    String par;

    protected void tk_FujoCaja_NeedDataSource(object source, GridNeedDataSourceEventArgs e)
    {
        listar_FujoCaja();
    }
    protected void tk_FujoCaja_ItemDataBound(object sender, GridItemEventArgs e)
    {
        if (e.Item is GridDataItem)
        {

            GridDataItem dataItem = (GridDataItem)e.Item;

            par = "&fc=" + dataItem["FlujoCajaID"].Text;
            HyperLink linkItem = new HyperLink();
            linkItem.NavigateUrl = "#";
            linkItem.Text = dataItem["NombreFlujoCaja"].Text;
            linkItem.CssClass = "gridtext";
            linkItem.Attributes.Add("OnClick", String.Format("return ShowEditPagos('{0}','{1}','{2}');", dataItem["FlujoCajaID"], e.Item.ItemIndex, par));
            dataItem["NombreFlujoCaja"].Controls.Add(linkItem);

        }


    }

    protected void tk_Cuentas_ItemDataBound(object sender, GridItemEventArgs e)
    {
        if (e.Item is GridDataItem)
        {

            GridDataItem dataItem = (GridDataItem)e.Item;

            par = "BancoCuentaID=" + dataItem["BancoCuentaID"].Text;
            HyperLink linkItem = new HyperLink();
            linkItem.NavigateUrl = "#";
            linkItem.Text = dataItem["NumeroCuenta"].Text;
            linkItem.CssClass = "gridtext";
            linkItem.Attributes.Add("OnClick", String.Format("return ShowEditCuenta('{0}','{1}','{2}');", dataItem["NumeroCuenta"], e.Item.ItemIndex, par));
            dataItem["NumeroCuenta"].Controls.Add(linkItem);

        }


    }

   
}
